Bug 1528378 - qemu rbd subpackages should be enabled for F27+ on arm and ppc64 (unbreak upgrade path!)
Summary: qemu rbd subpackages should be enabled for F27+ on arm and ppc64 (unbreak upg...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARMTracker PPCTracker
TreeView+ depends on / blocked
 
Reported: 2017-12-21 16:24 UTC by Neal Gompa
Modified: 2017-12-24 21:18 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-24 21:18:24 UTC


Attachments (Terms of Use)

Description Neal Gompa 2017-12-21 16:24:23 UTC
Description of problem:
It seems that qemu disabled the rbd packages for arm and ppc64 sometime in July because Ceph wasn't building for those architectures. However, later on in Fedora 27, it was successfully built for those architectures, but qemu did not adjust accordingly.

This breaks the upgrade path from Fedora 26 to Fedora 27 for ARM and PPC64.

Please re-enable them.

Version-Release number of selected component (if applicable):
2.10.1-1.fc27

Comment 1 Daniel Berrange 2017-12-21 16:59:31 UTC
Doh, my bad. I have koji builds running:

F28: https://koji.fedoraproject.org/koji/taskinfo?taskID=23827899
F27: https://koji.fedoraproject.org/koji/taskinfo?taskID=23828107

I'll be offline before this finishes, so if I forget to later issue an F27 update with the completed build someone else feel free....

Comment 2 Fedora Update System 2017-12-22 10:38:37 UTC
qemu-2.10.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc9dc910e4

Comment 3 Fedora Update System 2017-12-22 12:43:49 UTC
qemu-2.10.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc9dc910e4

Comment 4 Fedora Update System 2017-12-24 21:18:24 UTC
qemu-2.10.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.